# popup.addLabel

Adds a label to a popup

Usage

    popup.addLabel [-q] <popupname> <text> [<icon> [<item_id> [<condition>]]]

Description

Adds a descriptive label with visible <text> and the optional <icon> to an already existing popup or nested popup named <popupname>. If you want to add an item to a nested popup, use the form "popup.item". The label acts like a separator - it is not selectable or clickable.
<text> is a string that is evaluated at popup call time and may contain identifiers and variables.
<icon> is an optional image identifier.
<item_id> is the optional item id - if not specified, it will be generated automatically.
If <condition> is given, it is evaluated at popup.show call time and if the result is 0, the item is not shown in the physical popup.

Switches

-q | --quiet
Run quietly: don't print warning and errors

Syntax Specification

    popup.addLabel [-q] <popupname:string> <text:string> [<icon:string> [<item_id:string> [<condition:string>]]]

See also
defpopup, popup.show

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Sun Jul 21 22:14:44 2013